## org.jfree.report
Class JFreeReportInfo

    java.lang.Object
      org.pentaho.reporting.libraries.base.versioning.DependencyInformation
          org.pentaho.reporting.libraries.base.versioning.ProjectInformation
              org.jfree.report.JFreeReportInfo

    public class JFreeReportInfo

extends org.pentaho.reporting.libraries.base.versioning.ProjectInformation

Details about the JFreeReport project.

Author:
  David Gilbert

Field Summary
`static java.lang.String` `COMPATIBILITY_NAMESPACE` This namespace contains the compatibility layer for the old JFreeReport structures.
`static java.lang.String` `REPORT_NAMESPACE` This namespace covers all current reporting structures.

Method Summary
`static JFreeReportInfo` `getInstance()`
`static boolean` `isPixieAvailable()` Checks, whether the Pixie-library is available and in a working condition.
`static void` `main(java.lang.String[] args)` Print the library version and information about the library.

Methods inherited from class org.pentaho.reporting.libraries.base.versioning.ProjectInformation
`addLibrary, addOptionalLibrary, addOptionalLibrary, getBootClass, getCopyright, getInternalName, getLibraries, getOptionalLibraries, getProductId, getReleaseBuildNumber, getReleaseCandidateToken, getReleaseMajor, getReleaseMilestone, getReleaseMinor, getReleaseNumber, getVersion, setBootClass, setCopyright`

Methods inherited from class org.pentaho.reporting.libraries.base.versioning.DependencyInformation
`equals, getInfo, getLicenseName, getName, hashCode, setInfo, setLicenseName, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_NAMESPACE

    public static final java.lang.String REPORT_NAMESPACE

  This namespace covers all current reporting structures. These structures are not being forwarded to libLayout and should be treated to be generally invisible for all non-liblayout output targets. This is not an XML namespace, so dont expect to see documents using that namespace. It is purely internal.

  See Also:
    Constant Field Values

### COMPATIBILITY_NAMESPACE

    public static final java.lang.String COMPATIBILITY_NAMESPACE

  This namespace contains the compatibility layer for the old JFreeReport structures. This is not an XML namespace, so dont expect to see documents using that namespace. It is purely internal.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static JFreeReportInfo getInstance()

### isPixieAvailable

    public static boolean isPixieAvailable()

  Checks, whether the Pixie-library is available and in a working condition.

  Returns:
    true, if Pixie is available, false otherwise.

### main

    public static void main(java.lang.String[] args)

  Print the library version and information about the library.

  After there seems to be confusion about which version is currently used by the user, this method will print the project information to clarify this issue.

  Parameters:
    `args` - ignored